Patch organization

PATCHhttps://organization.dattaremit.com/api/organizations/{organization_guid}

Requires a organization-scoped key.

Update an organization.

Required scope: organizations:write

Path Params

organization_guidstringrequired

Identifier for the organization.

Body Params

required
namestring

Name for the organization.

Responses

200

organization found

400

Invalid requests - invalid organization name length

401

Unauthorized - Authentication failed, invalid subject

403

Invalid scope

Request

curl https://api.dattaremit.com/api/organizations/{organization_guid} \
  -X PATCH \
  -H "Authorization: Bearer sk_test_YOUR_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string"
}'

Response

organization found

{
  "guid": "string",
  "name": "string",
  "created_at": "2026-07-20T16:27:51.438Z",
  "updated_at": "2026-07-20T16:27:51.438Z"
}